summaryrefslogtreecommitdiffstats
path: root/system/xfburn/xfburn.SlackBuild
diff options
context:
space:
mode:
author Robby Workman <rw@rlworkman.net>2010-05-13 00:42:32 +0200
committer Michiel van Wessem <michiel@slackbuilds.org>2010-05-13 00:42:32 +0200
commiteab6556b6062711aa88a2942afd4a7e71ca60dc3 (patch)
tree42c075432cc25891a3d521d1041657c1b90685d3 /system/xfburn/xfburn.SlackBuild
parent645fe724c2edccde96f8746e185069f2bdacae16 (diff)
downloadslackbuilds-eab6556b6062711aa88a2942afd4a7e71ca60dc3.tar.gz
slackbuilds-eab6556b6062711aa88a2942afd4a7e71ca60dc3.tar.xz
system/xfburn: Updated for version 0.4.3
Diffstat (limited to 'system/xfburn/xfburn.SlackBuild')
-rw-r--r--system/xfburn/xfburn.SlackBuild12
1 files changed, 8 insertions, 4 deletions
diff --git a/system/xfburn/xfburn.SlackBuild b/system/xfburn/xfburn.SlackBuild
index a4f4f85cec..8868ccc2e5 100644
--- a/system/xfburn/xfburn.SlackBuild
+++ b/system/xfburn/xfburn.SlackBuild
@@ -2,7 +2,7 @@
# Slackware build script for xfburn
-# Copyright 2008 Robby Workman, Northport, Alabama, USA
+# Copyright 2008-2010 Robby Workman, Northport, Alabama, USA
# All rights reserved.
#
# Redistribution and use of this script, with or without modification, is
@@ -23,7 +23,7 @@
# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
PRGNAM=xfburn
-VERSION=0.4.1
+VERSION=0.4.3
ARCH=${ARCH:-i486}
BUILD=${BUILD:-1}
TAG=${TAG:-_SBo}
@@ -35,10 +35,13 @@ OUTPUT=${OUTPUT:-/tmp}
if [ "$ARCH" = "i486" ]; then
SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+ LIBDIRSUFFIX=""
elif [ "$ARCH" = "i686" ]; then
SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+ LIBDIRSUFFIX=""
elif [ "$ARCH" = "x86_64" ]; then
SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX="64"
fi
set -e
@@ -60,6 +63,7 @@ CFLAGS="$SLKCFLAGS" \
CXXFLAGS="$SLKCFLAGS" \
./configure \
--prefix=/usr \
+ --libdir=/usr/lib${LIBDIRSUFFIX} \
--mandir=/usr/man \
--docdir=/usr/doc/$PRGNAM-$VERSION \
--enable-static=no \
@@ -72,7 +76,7 @@ make install DESTDIR=$PKG
find . | xargs file | grep "executable" | grep ELF | cut -f 1 -d : | \
xargs strip --strip-unneeded 2> /dev/null || true
find . | xargs file | grep "shared object" | grep ELF | cut -f 1 -d : | \
- xargs strip --strip-unneeded 2> /dev/null
+ xargs strip --strip-unneeded 2> /dev/null || true
)
( cd $PKG/usr/man
@@ -91,4 +95,4 @@ cat $CWD/slack-desc > $PKG/install/slack-desc
cat $CWD/doinst.sh > $PKG/install/doinst.sh
cd $PKG
-/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.tgz
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}